# Stratify

Interpolation for restratification, particularly useful for Nd vertical interpolation of atmospheric and oceanographic datasets

|                  |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
|------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| ⚙️ CI            | [![ci-locks](https://github.com/SciTools/python-stratify/actions/workflows/ci-locks.yml/badge.svg)](https://github.com/SciTools/python-stratify/actions/workflows/ci-locks.yml) [![ci-manifest](https://github.com/SciTools/python-stratify/actions/workflows/ci-manifest.yml/badge.svg)](https://github.com/SciTools/python-stratify/actions/workflows/ci-manifest.yml) [![ci-tests](https://github.com/SciTools/python-stratify/actions/workflows/ci-tests.yml/badge.svg)](https://github.com/SciTools/python-stratify/actions/workflows/ci-tests.yml) [![ci-wheels](https://github.com/SciTools/python-stratify/actions/workflows/ci-wheels.yml/badge.svg)](https://github.com/SciTools/python-stratify/actions/workflows/ci-wheels.yml) [![pre-commit.ci status](https://results.pre-commit.ci/badge/github/SciTools/python-stratify/master.svg)](https://results.pre-commit.ci/latest/github/SciTools/python-stratify/master) |
| 💬 Community     | [![GH Discussions](https://img.shields.io/badge/github-discussions%20%F0%9F%92%AC-yellow?logo=github&logoColor=lightgrey)](https://github.com/SciTools/python-stratify/discussions)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| 📖 Documentation | [![Binder](http://mybinder.org/badge.svg)](http://mybinder.org:/repo/scitools-incubator/python-stratify)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| 📈 Health        | [![codecov](https://codecov.io/gh/SciTools/python-stratify/branch/master/graph/badge.svg?token=v1R1bJ4kYr)](https://codecov.io/gh/SciTools/python-stratify)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| ✨ Meta           | [![code style - black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black) [![license - bds-3-clause](https://img.shields.io/github/license/SciTools/python-stratify)](https://github.com/python-stratify/python-stratify/blob/main/LICENSE)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| 📦 Package       | [![conda-forge](https://img.shields.io/conda/vn/conda-forge/python-stratify?color=orange&label=conda-forge&logo=conda-forge&logoColor=white)](https://anaconda.org/conda-forge/python-stratify) [![pypi](https://img.shields.io/pypi/v/stratify?color=orange&label=pypi&logo=python&logoColor=white)](https://pypi.org/project/stratify/) [![pypi - python version](https://img.shields.io/pypi/pyversions/stratify.svg?color=orange&logo=python&label=python&logoColor=white)](https://pypi.org/project/stratify/)                                                                                                                                                                                                                                                                                                                                                                                                                |
| 🧰 Repo          | [![contributors](https://img.shields.io/github/contributors/SciTools/python-stratify)](https://github.com/SciTools/python-stratify/graphs/contributors)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
|                  |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |


**Are you a [SciTools/iris](https://github.com/SciTools/iris) user?** Did you know Iris provides a convenience for using Stratify with Iris `Cube`s? Try out [`iris.experimental.stratify`](https://scitools-iris.readthedocs.io/en/latest/generated/api/iris/experimental/stratify.html) and let the devs know what you think!

## Introduction

Discover the capabilities of `stratify` with this introductory [Jupyter Notebook](https://github.com/SciTools-incubator/python-stratify/blob/master/index.ipynb).

![](https://SciTools-incubator.github.io/python-stratify/summary.png)

## Installation

```shell
conda install -c conda-forge python-stratify
```
```shell
pip install python-stratify
```

## License
Stratify is licenced under a [BSD 3-Clause License](LICENSE).

